﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=9.8
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim cikkid As Int = -1
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

	Private btnMegse As B4XView
	Private btnMentes As B4XView
	Private edtCikkszam As EditText
	Private edtEladar As EditText
	Private edtME As EditText
	Private edtNev As EditText
	Private edtVTSZ As EditText
	Private B4XComboBox1 As B4XComboBox
	Private afalist As List
	Private btnTorol As B4XView
	Private CS As CSBuilder
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("torzsektermekkarbantarto")
	'Add an icon to the activity text by using CSBuilder
	Activity.Title = CS.Initialize.Typeface(Typeface.FONTAWESOME).Append(Chr(0xF15C)).Append($" TERMÉK KARBANTARTÁSA"$).PopAll

	afalist.Initialize
	afalist = Codebase.createList(Array As String("Válassz","05%","18%","27%"))
	B4XComboBox1.SetItems(afalist)
	'törölni csak módosításban lehet
	btnTorol.Visible = (cikkid > -1)
		cikkmod
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)
	
End Sub

Sub cikkmod
	If cikkid > -1 Then
		Dim SenderFilter As Object
		SenderFilter = Codebase.sql.ExecQueryAsync("SQL", $"
			SELECT *
			FROM `cikkt` WHERE id = ${cikkid};"$, Null) '

		Wait For (SenderFilter) SQL_QueryComplete (Success As Boolean, rs As ResultSet)
		If Success Then

			Do While rs.NextRow
				edtCikkszam.text = rs.GetString("cikkszam")
				edtNev.text = rs.GetString("megnevezes")
				edtEladar.text = rs.GetString("eladar")
				edtME.text = rs.GetString("me")
				B4XComboBox1.SelectedIndex = afalist.IndexOf(rs.GetString("afakod"))
				edtVTSZ.Text = $"${rs.Getint("vtsz")}"$
			Loop
			rs.Close
		Else
			Log(LastException)
		End If
	Else
		B4XComboBox1.SelectedIndex = 0
	End If
End Sub
Sub btnMentes_Click
	If B4XComboBox1.SelectedIndex = 0 Then
		MsgboxAsync("Válasszom ÁFA%-ot!","HiBA")
	Else if edtNev.Text = "" Then
		MsgboxAsync("Töltse ki a termék nevét!","HiBA")
	Else if edtME.Text = "" Then
		MsgboxAsync("Töltse ki a termék mennyiségi egységét!","HiBA")
	Else if edtEladar.Text="" Then
		MsgboxAsync("Töltse ki a termék eladási árát!","HiBA")
	Else
		Try
			If cikkid > -1 Then
				Codebase.sql.ExecNonQuery2($"
			UPDATE `cikkt` 
			SET `cikkszam`=?,  
			`megnevezes`=?, 
			`eladar`=?,
			`me`=?,
			`vtsz`=?,
			`afakod`=?
			WHERE `id`=?"$,Array As Object(edtCikkszam.Text,edtNev.Text, _
			edtEladar.Text,edtME.Text,edtVTSZ.Text,B4XComboBox1.GetItem(B4XComboBox1.SelectedIndex),cikkid)) 
			Else
				Codebase.sql.ExecNonQuery2($"
			INSERT INTO `cikkt` 
			(`cikkszam`,`megnevezes`,`eladar`,`me`,`vtsz`,`afakod`) VALUES
			(?,?,?,?,?,?)"$,Array As Object(edtCikkszam.Text,edtNev.Text, _
			edtEladar.Text,edtME.Text,edtVTSZ.Text,B4XComboBox1.GetItem(B4XComboBox1.SelectedIndex))) 
			End If
			Activity.finish
		Catch
			Log(LastException.message)
		End Try
	End If
End Sub

Sub btnMegse_Click
	Activity.finish
End Sub

Sub B4XComboBox1_SelectedIndexChanged (Index As Int)
	
End Sub

Sub btnTorol_Click
	Msgbox2Async("Töröljem ezt a terméket?","KÉRDÉS","Igen","Mégse","Nem",Null,False)  
	Wait For Msgbox_Result (Result As Int)
	If Result = DialogResponse.POSITIVE Then
		Codebase.sql.ExecNonQuery2($"
			DELETE FROM `cikkt` 
			WHERE `id`=?"$,Array As Object(cikkid)) 
		Activity.finish
	End If
End Sub